Subject: 27.0.50; completions-annotations face should not be based on italic by default

From: Robert Pluim <[email-masked]>
Date: Tue, 20 Mar 2018 17:16:37 +0100

When using insert-char interactively to insert т (CYRILLIC SMALL
LETTER TE), the completions buffer uses the completions-annotations
face to display the character after the full unicode name. т is one of
those characters for which the italic glyph is very different from the
non-italic one (it actually looks like an 'm'), which is highly
misleading for the user.

The easy solution would be to just base the completions-annotations
face on the default face, but Iʼm sure thereʼs a historical reason for
its existence.

In GNU Emacs 27.0.50 (build 27, x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2018-03-19 built on rpluim-ubuntu
Repository revision: 2dd2251ce5c676f64bfed3cd56d4746213e75583
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description: KDE neon LTS User Edition 5.12